import { aws_dynamodb, aws_s3 } from "aws-cdk-lib";
import { Construct } from "constructs";
/**
 * @stability stable
 */
export interface TerraformStateBackendProps {
    /**
     * @stability stable
     */
    readonly bucketName: string;
    /**
     * @stability stable
     */
    readonly tableName: string;
}
/**
 * @stability stable
 */
export declare class TerraformStateBackend extends Construct {
    /**
     * @stability stable
     */
    readonly bucket: aws_s3.IBucket;
    /**
     * @stability stable
     */
    readonly table: aws_dynamodb.ITable;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: TerraformStateBackendProps);
}
